View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000452Ecere SDKcompilerpublic2010-07-26 02:442013-08-07 03:33
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000452: runtime: uint32 & OnGetString ends up calling Signed Integer, serialNumber.OnGetString(rootPath, null, null);
Descriptionuint32 & OnGetString ends up calling Signed Integer, serialNumber.OnGetString(rootPath, null, null);
TagsNo tags attached.
Attached Files

- Relationships
related to 0000250closedjerome OnGetString etc. working on only int and uint ? 
related to 0000347closedjerome double a; a.OnGetString Not working 
related to 0000269closedjerome Using PrintLn to print out pointer values of NOHEAD classes is broken 

-  Notes
(0000707)
jerome (administrator)
2013-04-24 06:18

The compiler uses the method from __ecereClass_int's vTbl rather than
__ecereClass_uint32
(0000769)
jerome (administrator)
2013-04-28 23:16

Fixed by https://github.com/ecere/sdk/commit/875d70a63e5a8fce56cf7d40fa2687db3376c0d2 [^]

- Issue History
Date Modified Username Field Change
2010-07-26 02:44 redj New Issue
2010-07-26 02:44 redj Relationship added related to 0000250
2010-07-26 02:44 redj Relationship added related to 0000347
2010-07-26 02:45 redj Relationship added child of 0000429
2010-07-26 19:34 thexa4 Fixed in Version => 0.44 draft 2
2010-07-29 15:06 jerome Priority normal => immediate
2012-03-08 15:44 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:35 redj Relationship deleted child of 0000429
2012-03-29 07:53 redj Category => Ecere Runtime Library
2012-03-29 07:53 redj Project @1@ => Ecere SDK
2013-04-24 06:16 jerome Target Version 0.45 Ginkakuji => 0.44.1 64
2013-04-24 06:18 jerome Note Added: 0000707
2013-04-24 06:18 jerome Category ecere => compiler
2013-04-28 03:16 jerome Status new => assigned
2013-04-28 03:16 jerome Assigned To => jerome
2013-04-28 05:49 jerome Relationship added related to 0000269
2013-04-28 23:16 jerome Status assigned => resolved
2013-04-28 23:16 jerome Fixed in Version => 0.44.1 64
2013-04-28 23:16 jerome Resolution open => fixed
2013-04-28 23:16 jerome Note Added: 0000769
2013-05-22 20:29 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker